


# reauthenticate method




    *[<Null safety>](https://dart.dev/null-safety)*




[FutureOr](https://api.flutter.dev/flutter/dart-async/FutureOr-class.html)&lt;void> reauthenticate
()





<p>Some security-sensitive actions—such as deleting an account,
setting a primary email address, and changing a password—require that
the user has recently signed in.</p>
<p>Throws a ReauthenticateFailureInterface if
an exception occurs.</p>



## Implementation

```dart
FutureOr<void> reauthenticate() async => CustomRoutine<Account, Data?>(
      routine: authenticationRepository.reauthenticate,
      attachedLogic: onReauthenticate,
      onError: addError,
      onSuccess: (result, data) => authenticationRepository.addSession(
        SessionWrapper(
          event: ReauthenticatedEvent(account: result),
          session: Session<Data>(
            account: result,
            data: data,
          ),
        ),
      ),
    ).call();
```







