


# sendPasswordResetEmail method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;void> sendPasswordResetEmail
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) email})

_<span class="feature">override</span>_



<p>Sends a password reset email to the provided <code>email</code>.</p>
<p>Throws a SendPasswordResetEmailFailureInterface if an exception occurs.</p>



## Implementation

```dart
@override
Future<void> sendPasswordResetEmail({required String email}) async {
  try {
    await _firebaseAuth.sendPasswordResetEmail(email: email);
  } on FirebaseAuthException catch (e) {
    throw SendPasswordResetEmailFailureFirebase.fromCode(e.code);
  } catch (_) {
    throw SendPasswordResetEmailFailureFirebase();
  }
}
```







