


# verifyPasswordResetCode method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

[Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)> verifyPasswordResetCode
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) code})

_<span class="feature">override</span>_



<p>Verify password reset code.</p>
<p>Throws a VerifyPasswordResetCodeFailureInterface if an exception occurs.</p>



## Implementation

```dart
@override
Future<bool> verifyPasswordResetCode({required String code}) async {
  try {
    final email = await _firebaseAuth.verifyPasswordResetCode(code);
    return email.isNotNullOrEmpty;
  } on FirebaseAuthException catch (e) {
    throw VerifyPasswordResetCodeFailureFirebase.fromCode(e.code);
  } catch (_) {
    throw VerifyPasswordResetCodeFailureFirebase();
  }
}
```







