


# AuthenticationRepository&lt;Data> class






    *[<Null safety>](https://dart.dev/null-safety)*









**Implementers**

- [AuthenticationRepositoryImpl](../wyatt_authentication_bloc/AuthenticationRepositoryImpl-class.md)





## Constructors

[AuthenticationRepository](../wyatt_authentication_bloc/AuthenticationRepository/AuthenticationRepository.md) ()

   


## Properties

##### [formRepository](../wyatt_authentication_bloc/AuthenticationRepository/formRepository.md) &#8594; FormRepository



Form repository used in different authentication cubits/blocs  
_<span class="feature">read-only</span>_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_





## Methods

##### [addSession](../wyatt_authentication_bloc/AuthenticationRepository/addSession.md)([SessionWrapper](../wyatt_authentication_bloc/SessionWrapper-class.md)&lt;Data> wrapper) void



Add a new authentication event.  




##### [confirmPasswordReset](../wyatt_authentication_bloc/AuthenticationRepository/confirmPasswordReset.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) code, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) newPassword}) FutureOrResult&lt;void>



Confirms the password reset with the provided <code>newPassword</code> and <code>code</code>.  




##### [delete](../wyatt_authentication_bloc/AuthenticationRepository/delete.md)() FutureOrResult&lt;void>



Delete account.  




##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [reauthenticate](../wyatt_authentication_bloc/AuthenticationRepository/reauthenticate.md)() FutureOrResult&lt;[Account](../wyatt_authentication_bloc/Account-class.md)>



Some security-sensitive actions—such as deleting an account,
setting a primary email address, and changing a password—require that
the user has recently signed in.  




##### [refresh](../wyatt_authentication_bloc/AuthenticationRepository/refresh.md)() FutureOrResult&lt;[Account](../wyatt_authentication_bloc/Account-class.md)>



Refreshes the current user, if signed in.  




##### [sendEmailVerification](../wyatt_authentication_bloc/AuthenticationRepository/sendEmailVerification.md)() FutureOrResult&lt;void>



Sends verification email to the account email.  




##### [sendPasswordResetEmail](../wyatt_authentication_bloc/AuthenticationRepository/sendPasswordResetEmail.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) email}) FutureOrResult&lt;void>



Sends a password reset email to the provided <code>email</code>.  




##### [sessionStream](../wyatt_authentication_bloc/AuthenticationRepository/sessionStream.md)() [Stream](https://api.flutter.dev/flutter/dart-async/Stream-class.html)&lt;[SessionWrapper](../wyatt_authentication_bloc/SessionWrapper-class.md)&lt;Data>>



Authentication state change event stream.  




##### [signInAnonymously](../wyatt_authentication_bloc/AuthenticationRepository/signInAnonymously.md)() FutureOrResult&lt;[Account](../wyatt_authentication_bloc/Account-class.md)>



Sign in anonymously.  




##### [signInWithEmailAndPassword](../wyatt_authentication_bloc/AuthenticationRepository/signInWithEmailAndPassword.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) email, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) password}) FutureOrResult&lt;[Account](../wyatt_authentication_bloc/Account-class.md)>



Signs in with the provided <code>email</code> and <code>password</code>.  




##### [signInWithGoogle](../wyatt_authentication_bloc/AuthenticationRepository/signInWithGoogle.md)() FutureOrResult&lt;[Account](../wyatt_authentication_bloc/Account-class.md)>



Starts the Sign In with Google Flow.  




##### [signOut](../wyatt_authentication_bloc/AuthenticationRepository/signOut.md)() FutureOrResult&lt;void>



Signs out the current user.
It also clears the cache and the associated data.  




##### [signUpWithEmailAndPassword](../wyatt_authentication_bloc/AuthenticationRepository/signUpWithEmailAndPassword.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) email, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) password}) FutureOrResult&lt;[Account](../wyatt_authentication_bloc/Account-class.md)>



Creates a new user with the provided <code>email</code> and <code>password</code>.  




##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_



##### [updateEmail](../wyatt_authentication_bloc/AuthenticationRepository/updateEmail.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) email}) FutureOrResult&lt;[Account](../wyatt_authentication_bloc/Account-class.md)>



Update or add <code>email</code>.  




##### [updatePassword](../wyatt_authentication_bloc/AuthenticationRepository/updatePassword.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) password}) FutureOrResult&lt;[Account](../wyatt_authentication_bloc/Account-class.md)>



Update or add <code>password</code>.  




##### [verifyPasswordResetCode](../wyatt_authentication_bloc/AuthenticationRepository/verifyPasswordResetCode.md)({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) code}) FutureOrResult&lt;[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)>



Verify password reset code.  






## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















