


# signInAnonymously method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;[Account](../../wyatt_authentication_bloc/Account-class.md)> signInAnonymously
()

_<span class="feature">override</span>_



<p>Sign in anonymously.</p>
<p>Throws a SignInAnonymouslyFailureInterface if an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<Account> signInAnonymously() =>
    Result.tryCatchAsync<Account, AppException, AppException>(
      () async {
        final account =
            await authenticationRemoteDataSource.signInAnonymously();
        return account;
      },
      (error) => error,
    );
```







