


# signUpWithEmailAndPassword method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;[Account](../../wyatt_authentication_bloc/Account-class.md)> signUpWithEmailAndPassword
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) email, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) password})

_<span class="feature">override</span>_



<p>Creates a new user with the provided <code>email</code> and <code>password</code>.</p>
<p>Returns the newly created user's unique identifier.</p>
<p>Throws a SignUpWithEmailAndPasswordFailureInterface if
an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<Account> signUpWithEmailAndPassword({
  required String email,
  required String password,
}) =>
    Result.tryCatchAsync<Account, AppException, AppException>(
      () async {
        final account =
            await authenticationRemoteDataSource.signUpWithEmailAndPassword(
          email: email,
          password: password,
        );
        return account;
      },
      (error) => error,
    );
```







