


# updatePassword method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;[Account](../../wyatt_authentication_bloc/Account-class.md)> updatePassword
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) password})

_<span class="feature">override</span>_



<p>Update or add <code>password</code>.</p>
<p>Throws a UpdatePasswordFailureInterface if
an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<Account> updatePassword({required String password}) =>
    Result.tryCatchAsync<Account, AppException, AppException>(
      () async {
        final account = await authenticationRemoteDataSource.updatePassword(
          password: password,
        );
        return account;
      },
      (error) => error,
    );
```







