


# verifyPasswordResetCode method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;[bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)> verifyPasswordResetCode
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) code})

_<span class="feature">override</span>_



<p>Verify password reset code.</p>
<p>Throws a VerifyPasswordResetCodeFailureInterface if an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<bool> verifyPasswordResetCode({required String code}) =>
    Result.tryCatchAsync<bool, AppException, AppException>(
      () async {
        final response = await authenticationRemoteDataSource
            .verifyPasswordResetCode(code: code);
        return response;
      },
      (error) => error,
    );
```







