<!--
 * Copyright (C) 2022 WYATT GROUP
 * Please see the AUTHORS file for details.

 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
-->

# Flutter - Wyatt Bloc Layout

<p align="left">
  <a href="https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages/src/branch/master/packages/wyatt_analysis">
    <img src="https://img.shields.io/badge/Style-Wyatt%20Analysis-blue.svg?style=flat-square" alt="Style: Wyatt Analysis" />
  </a>
  <img src="https://img.shields.io/badge/SDK-Flutter-blue?style=flat-square" alt="SDK: Flutter" />
</p>

Bloc Layout for Flutter.

Wyatt Bloc Layout is a Flutter package that builds on the Wyatt UI Layout package and the Wyatt Bloc Helper package. It provides a way to link multiple packages in order to create intelligent layouts that combine both layout and logic. The package allows developers to use the available layouts in the Wyatt UI Layout package along with the block state logic available in the Wyatt Bloc Helper package. It also uses the Wyatt Crud Bloc package to make it easier to implement CRUD logic.

### Features

- Allows developers to use available layouts from Wyatt UI Layout package.
- Links with the Wyatt Bloc Helper package to combine layout and block state logic.
- Uses the Wyatt Crud Bloc package to easily implement CRUD logic.

#### Available bloc layouts

- BottomNavigationBarGridLayoutCubitScreenCrudList
- BottomNavigationBarLayoutCubitScreen
- BottomNavigationBarLayoutCubitScreenCrud
- BottomNavigationBarLayoutCubitScreenCrudItem
- BottomNavigationBarLayoutCubitScreenCrudList
- FrameGridLayoutCubitScreenCrudList
- FrameLayoutCubitScreen
- FrameLayoutCubitScreenCrud
- FrameLayoutCubitScreenCrudItem
- FrameLayoutCubitScreenCrudList
- TopAppBarGridLayoutCubitScreenCrudList
- TopAppBarLayoutCubitScreen
- TopAppBarLayoutCubitScreenCrud
- TopAppBarLayoutCubitScreenCrudItem
- TopAppBarLayoutCubitScreenCrudList
- TopNavigationBarGridLayoutCubitScreenCrudList
- TopNavigationBarLayoutCubitScreen
- TopNavigationBarLayoutCubitScreenCrud
- TopNavigationBarLayoutCubitScreenCrudItem
- TopNavigationBarLayoutCubitScreenCrudList

### Installation

To use Wyatt Bloc Layout in your Flutter project, add the following dependency to your pubspec.yaml file:

```yaml
wyatt_bloc_layout:
  git:
    url: https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages
    path: packages/wyatt_bloc_layout
```

Then, run flutter pub get to download the package.
