// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart' hide ButtonStyle;
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_kit/src/components/buttons/file_selection_button/file_selection_button_screen.dart';
import 'package:wyatt_ui_kit/src/components/buttons/file_selection_button/file_selection_button_theme_resolver.dart';

part 'file_selection_button.g.dart';

@ComponentCopyWithExtension()
class FileSelectionButton extends FileSelectionButtonComponent
    with $FileSelectionButtonCWMixin {
  const FileSelectionButton({
    super.leading,
    super.title,
    super.subTitle,
    super.disabledStyle,
    super.normalStyle,
    super.hoveredStyle,
    super.focusedStyle,
    super.tappedStyle,
    super.selectedStyle,
    super.invalidStyle,
    super.onPressed,
    super.disabled,
    super.mainAxisSize,
    super.themeResolver,
    super.key,
  });

  @override
  FileSelectionButtonStyle? get disabledStyle =>
      super.disabledStyle as FileSelectionButtonStyle?;

  @override
  FileSelectionButtonStyle? get normalStyle =>
      super.normalStyle as FileSelectionButtonStyle?;

  @override
  FileSelectionButtonStyle? get hoveredStyle =>
      super.hoveredStyle as FileSelectionButtonStyle?;

  @override
  FileSelectionButtonStyle? get focusedStyle =>
      super.focusedStyle as FileSelectionButtonStyle?;

  @override
  FileSelectionButtonStyle? get tappedStyle =>
      super.tappedStyle as FileSelectionButtonStyle?;

  @override
  FileSelectionButtonStyle? get selectedStyle =>
      super.selectedStyle as FileSelectionButtonStyle?;

  @override
  FileSelectionButtonStyle? get invalidStyle =>
      super.invalidStyle as FileSelectionButtonStyle?;

  @override
  FileSelectionButtonThemeResolver? get themeResolver =>
      super.themeResolver as FileSelectionButtonThemeResolver?;

  @override
  Widget build(BuildContext context) => FileSelectionButtonScreen(
        leading: leading,
        title: title,
        subTitle: subTitle,
        disabledStyle: disabledStyle,
        normalStyle: normalStyle,
        hoveredStyle: hoveredStyle,
        focusedStyle: focusedStyle,
        tappedStyle: tappedStyle,
        selectedStyle: selectedStyle,
        invalidStyle: invalidStyle,
        onPressed: onPressed,
        disabled: disabled,
        mainAxisSize: mainAxisSize,
        themeResolver: themeResolver,
        key: key,
      );
}
