// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

abstract class SimpleIconButtonThemeExtension
    extends ThemeExtension<SimpleIconButtonThemeExtension> {
  const SimpleIconButtonThemeExtension({
    this.disabledStyle,
    this.focusedStyle,
    this.hoveredStyle,
    this.normalStyle,
    this.tappedStyle,
  });

  /// Style of this button in disabled state
  final SimpleIconButtonStyle? disabledStyle;

  /// Style of this button in focused state
  final SimpleIconButtonStyle? focusedStyle;

  /// Style of this button in hovered state
  final SimpleIconButtonStyle? hoveredStyle;

  /// Style of this button in normal state
  final SimpleIconButtonStyle? normalStyle;

  /// Style of this button in tapped state
  final SimpleIconButtonStyle? tappedStyle;
}
