// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

abstract class TextInputThemeExtension
    extends ThemeExtension<TextInputThemeExtension> {
  const TextInputThemeExtension({
    this.normalStyle,
    this.focusedStyle,
    this.errorStyle,
    this.disableStyle,
  });

  final TextInputStyle? normalStyle;
  final TextInputStyle? focusedStyle;
  final TextInputStyle? errorStyle;
  final TextInputStyle? disableStyle;
}
