<!--
 * Copyright (C) 2023 WYATT GROUP
 * Please see the AUTHORS file for details.

 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
-->

# Flutter - Wyatt Ui Layout

<p align="left">
  <a href="https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages/src/branch/master/packages/wyatt_analysis">
    <img src="https://img.shields.io/badge/Style-Wyatt%20Analysis-blue.svg?style=flat-square" alt="Style: Wyatt Analysis" />
  </a>
  <img src="https://img.shields.io/badge/SDK-Flutter-blue?style=flat-square" alt="SDK: Flutter" />
</p>

Wyatt UI Layout is a Flutter package that provides pre-built layouts to make the development of graphical user interfaces (GUIs) easier. There are two types of layouts provided by this package: structural and content layouts.

### Structural Layouts

Structural layouts are used to structure the GUI, and there are currently four layouts provided by this package:

- #### TopAppBarLayout

This layout is used to create a GUI with a classic app bar and a body.

- #### TopNavigationBarLayout

This layout is used to create a GUI with an app bar that includes navigation options and a body.

- #### BottomNavigationBarLayout

This layout is used to create a GUI with a bottom bar that includes navigation options and a body.

- #### FrameLayout

This layout is used to create a GUI that includes a classic app bar, a bottom navigation bar, and a body.

### Content Layouts

Content layouts are used to display dynamic data and content within the GUI. Currently, there is only one content layout provided by this package:

- #### GridLayout

This layout is used to display data and content in a grid layout.

### Installation

To use Wyatt UI Layout in your Flutter project, add the following dependency to your pubspec.yaml file:

```yaml
wyatt_ui_layout:
  git:
    url: https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages
    path: packages/wyatt_ui_layout
```

That's it! You're now ready to use Wyatt UI Layout in your project.
